import { h } from 'preact';
import { Link } from 'preact-router';

import { Breadcrumbs } from '../../components';

function Logout (props, ctx) {
    const navigation = ["Logout"];
    const session = ctx.get('Session');
    this.shouldComponentUpdate = function(){
        console.log('functional component vs closures');
    }
    if (session.actions.isAuth()) {
        session.data = { username: '', password: '' };

    }

    return (
        <div class="container">
            <Breadcrumbs items={navigation} />

            <p>
                Erfolgreich abgemeldet.
                <Link href="/login">Erneut Anmelden</Link>
            </p>
        </div>
    );

}

export default Logout;