const Header = (props, ctx) => {
	const session = ctx.get('Session');
	return (
		<header className='header'>
			<div className="container">
				<h1>Login</h1>
				{session.actions.isAuth() && (<div id="hamburger-button" className={`hamburger ${props.menu.visible && 'hamburger-active'}`}
					onClick={() => props.menu.toggle()}>
					<hr />
					<hr />
					<hr />
				</div>)}
			</div>
		</header>
	);
}



export default Header;
